Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ActivityItem

    java.lang.Object
      ix.icore.process.TimePoint
          ix.icore.process.PNode
              ix.ip2.AgendaItem
                  ix.ip2.ActivityItem

All Implemented Interfaces:
  HasStatus

Direct Known Subclasses:
  ActivityAgenda.OtherReportsActivity, WaitForReportsItem

    public class ActivityItem

extends AgendaItem

An AgendaEntry to represents an activity.

Nested Class Summary
`(package private) class` | `ActivityItem.UndoSetRefinement`

Nested classes/interfaces inherited from class ix.ip2.AgendaItem
`AgendaItem.UndoAddHistoryEvent, AgendaItem.UndoSetComments, AgendaItem.UndoSetPriority, AgendaItem.UndoSetStatus`

Nested classes/interfaces inherited from class ix.icore.process.PNode
`PNode.MakeVarIfUnbound`

Field Summary
`static Symbol` | `EXPANSION_REFINEMENT_NAME`

Fields inherited from class ix.ip2.AgendaItem
`actions, handledBy, listeners, reports`

Fields inherited from class ix.icore.process.PNode
`beginEnd, computeStatus, endEnd, level, modelManager, parent`

Fields inherited from class ix.icore.process.TimePoint
`tpn_mark`

Constructor Summary
`ActivityItem(Activity activity)`
`ActivityItem(ActivityItem parent, Activity activity)`

Method Summary
`java.lang.String` | `getExpansionRefinementName()`
`protected PNode` | `makePNode(PNode parent, LList pattern)`
`void` | `setRefinement(Refinement r)`

Methods inherited from class ix.ip2.AgendaItem
`actionCanBeTakenNow, addAction, addHistoryEvent, addItemListener, addReport, assignStatus, clearActions, findAction, findAction, findAllActions, fireAgendaItemEdited, fireHandlerActionsChanged, fireNewHandlerAction, fireNewReport, firePriorityChanged, fireStatusChanged, getAbout, getActions, getComments, getHandledBy, getHistory, getHowHandled, getParent, getPattern, getPatternVars, getPriority, getReports, getShortDescription, getStatus, getUnboundVars, handleReportBack, hasAction, insertAction, isNew, setAbout, setComments, setHandledBy, setIsNew, setPattern, setPriority, setStatus, setStatusBasedOn, toString, wantsActionsFrom, wantsReport`

Methods inherited from class ix.icore.process.PNode
`addChild, allComputeStatus, allHaveStatus, computeStatus, ensureChildrenLinkedToParent, expandOneLevel, getBegin, getChildren, getEnd, getLevel, getModelManager, getParentPNode, getRefinement, getVarTable, isAncestorOf, isDescendentOf, isExpanded, isSiblingOf, processOrderings, setChildren, setVarTable, statusFromNodeEnds, unlink`

Methods inherited from class ix.icore.process.TimePoint
`addPostConstraint, addPreConstraint, getMaxTime, getMinTime, getPostConstraints, getPreConstraints, hasUnboundedMax, removePostConstraint, removePreConstraint, setMaxTime, setMinTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXPANSION_REFINEMENT_NAME

    public static Symbol EXPANSION_REFINEMENT_NAME

Constructor Detail

### ActivityItem

    public ActivityItem(Activity activity)

### ActivityItem

    public ActivityItem(ActivityItem parent,
                        Activity activity)

Method Detail

### makePNode

    protected PNode makePNode(PNode parent,
                              LList pattern)

  Specified by:
    `makePNode` in class `PNode`

### setRefinement

    public void setRefinement(Refinement r)

  Overrides:
    `setRefinement` in class `PNode`

### getExpansionRefinementName

    public java.lang.String getExpansionRefinementName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD